'use strict';

const Sequelize = require('./index');
const sequelize = require('./test/support').createSequelizeInstance({
  logging: console.log
});

const Course = sequelize.define('course', {
  name: Sequelize.STRING,
});

const Question = sequelize.define('question', {
  name: Sequelize.STRING,
});

Course.hasMany(Question);
Question.belongsTo(Course);

sequelize.sync({ force: true })
  .then(() => {
    return Sequelize.Promise.join(
      Course.create({ name: 'c' }),
      Question.create({ name: 'q' })
    );
  })
  .spread((c, q) => {
    return Sequelize.Promise.join(
      c.createQuestion({ name: 'q1' }),
      q.createCourse({ name: 'c1' })
    );
  }).spread((c, q) => {
    console.log(c.constructor.name, q.constructor.name);
  });